import '../../../stencil.core';
import { EventEmitter } from '../../../stencil.core';
export declare class TabHeader {
    id: string;
    name: string;
    onSelect: EventEmitter;
    isSelected: boolean;
    getChild(): {
        select: any;
        unselect: any;
        name: string;
        id: string;
    };
    unselect(): void;
    select(): void;
    onClick(): void;
    render(): JSX.Element[];
}
